--- 

- name: install nfs client (Ubuntu)
  action: apt pkg=nfs-common state=present
  when: ansible_os_family == "Debian"

- name: Ensure rpcbind is running (Ubuntu)
  action: service name=rpcbind state=started enabled=yes
  when: ansible_os_family == "Debian"

- name: install nfs client (CentOS)
  action: yum pkg=nfs-utils state=present
  when: ansible_os_family == "RedHat"

- name: Ensure rpcbind is running (CentOS)
  action: service name=rpcbind state=started enabled=yes
  when: ansible_os_family == "RedHat"

- name: Creates mount directory
  file:
    path: '{{nfs_mount}}'
    state: directory   

- name: configure /etc/fstab on clients
  mount:
    name: '{{nfs_mount}}' 
    src: '{{nfs_server}}:/' 
    fstype: nfs 
    fstab: /etc/fstab
    opts: nfsvers=4.1,rw,sync 
    state: mounted
